.pull-right
  %div
    - if @notes_count > 0
      %span.btn.disabled.btn-grouped
        %i.fa.fa-comment
        = @notes_count
    .pull-left.btn-group
      %a.btn.btn-grouped.dropdown-toggle{ data: {toggle: :dropdown} }
        %i.fa.fa-download
        Download as
        %span.caret
      %ul.dropdown-menu
        %li= link_to "Email Patches", project_commit_path(@project, @commit, format: :patch)
        %li= link_to "Plain Diff",    project_commit_path(@project, @commit, format: :diff)
        %li= link_to "Zip Archive", controller: "projects/repositories", action: "archive_commit", commit: @commit
    = link_to project_tree_path(@project, @commit), class: "btn btn-primary btn-grouped" do
      %span Browse Code »
  %div

%p
  %span.light Commit
  = link_to @commit.id, project_commit_path(@project, @commit)
.commit-info-row
  %span.light Authored by
  %strong
    = commit_author_link(@commit, avatar: true, size: 24)
  #{time_ago_with_tooltip(@commit.authored_date)}

- if @commit.different_committer?
  .commit-info-row
    %span.light Committed by
    %strong
      = commit_committer_link(@commit, avatar: true, size: 24)
    #{time_ago_with_tooltip(@commit.committed_date)}

.commit-info-row
  %span.cgray= pluralize(@commit.parents.count, "parent")
  - @commit.parents.each do |parent|
    = link_to parent.short_id, project_commit_path(@project, parent)

- if @branches.any?
  .commit-info-row
    %span.cgray
      Exists in
    %span
      - branch = commit_default_branch(@project, @branches)
      = link_to(branch, project_tree_path(@project, branch))
      - if @branches.any?
        and in
        = link_to("#{pluralize(@branches.count, "other branch")}", "#", class: "js-details-expand")
        %span.js-details-content.hide
          = commit_branches_links(@project, @branches)

.commit-box
  %h3.commit-title
    = gfm escape_once(@commit.title)
  - if @commit.description.present?
    %pre.commit-description
      = preserve(gfm(escape_once(@commit.description)))
